Changes between Version 5 and Version 26 of Ticket #27705


Ignore:
Timestamp:
02/10/20 01:48:17 (3 years ago)
Author:
mkoeppe
Comment:

New commits:

dade952build/pkgs/python3/spkg-build: Check that Python build has modules zlib sqlite3 ssl
8a294fbRemove ssl from the list of required modules

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #27705

    • Property Status changed from new to needs_review
    • Property Reviewers changed from to Dima Pasechnik
    • Property Authors changed from to Matthias Koeppe
    • Property Cc jdemeyer jhpalmieri vbraun slelievre vklein tscrim kcrisman saraedum added
    • Property Summary changed from Check for more strictly required extension modules in Python build to Check for more strictly required extension modules in Python build: zlib sqlite3
    • Property Branch changed from to u/mkoeppe/da5e0fcee826ad1c667c52341220c90306f0e222
    • Property Milestone changed from to sage-9.1
    • Property Commit changed from to 8a294fbc9876c9892cf4e9557b857ca20a8a375e
  • Ticket #27705 – Description

    v5 v26  
    2929
    3030It turns out also that elliptic_curves has a build-time dependency on the `sqlite3` module being built properly, so we should add it as well.
     31
     32Also `ssl` should be added, but we reserve this for a follow-up ticket that addresses the whole openssl mess on macOS.